Get one comment on a visible story

Returns a comment only after the personal access token's user can currently read the owning story and team. Both comments:read and stories:read are required.

GET
/api/v1/workspaces/{workspaceId}/stories/{storyId}/comments/{commentId}

Returns a comment only after the personal access token's user can currently read the owning story and team. Both comments:read and stories:read are required.

Authorization

machineBearer
AuthorizationBearer <token>

Personal access tokens and supported service-account keys are accepted only in the Authorization header and never in URLs. Each operation documents which principal types it authorizes.

In: header

Path Parameters

workspaceId*string

Workspace UUID. It must match the workspace bound to the credential.

Formatuuid
storyId*string
Formatuuid
commentId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/stories/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "storyId": "c0026cb9-d274-411b-905d-a8f8092fd598",    "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",    "authorId": "ee6f7132-bd0a-4fcd-83b3-a8022377067b",    "content": "string",    "replies": [      {}    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}